For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
DocumentationAPI ReferenceModel VersioningChangelog
DocumentationAPI ReferenceModel VersioningChangelog
    • Authentication
    • API Versioning
    • Deployments
    • Error Handling
  • Endpoints
      • POSTRun Workflow
      • POSTBatch Run Workflow
      • GETGet Workflow Run
      • POSTUpdate Workflow Run
      • POSTCancel Workflow Run
      • DELDelete Workflow Run
      • GETList Workflow Runs
      • POSTCreate Workflow
      • GETGet Workflow
      • POSTUpdate Workflow
      • GETList Workflows
      • POSTCreate Workflow Version
      • GETGet Workflow Version
      • GETList Workflow Versions
  • Webhook Events
LogoLogo
Book a demoLog in
EndpointsWorkflows

Delete Workflow Run

DELETE
/workflow_runs/:id
DELETE
/workflow_runs/:id
1from extend_ai import Extend
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2026-02-09",
6)
7
8client.workflow_runs.delete(
9 id="workflow_run_id_here",
10)
1{
2 "id": "workflow_run_xKm9pNv3qWsY_jL2tR5Dh"
3}

Delete a workflow run and all associated data from Extend. This operation is permanent and cannot be undone.

This endpoint can be used if you’d like to manage data retention on your own rather than automated data retention policies. Or make one-off deletions for your downstream customers.

Was this page helpful?
Previous

List Workflow Runs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the workflow run.

Example: "workflow_run_xKm9pNv3qWsY_jL2tR5Dh"

Headers

x-extend-api-version"2026-02-09"OptionalDefaults to 2026-02-09

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/api-reference/authentication) for details on API key scopes.

Response

Successfully deleted workflow run
idstring
The ID of the deleted workflow run

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.